--- title: "Delete a reader" slug: "how-to-delete-a-reader" updated: 2025-06-12T07:20:55Z published: 2025-06-12T07:22:11Z canonical: "apidocs.document360.com/how-to-delete-a-reader" --- > ## Documentation Index > Fetch the complete documentation index at: https://apidocs.document360.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete a reader You can use Document360’s API to delete a reader associated with your **Private** or **Mixed** project in the knowledge base portal. This helps simplify and automate reader management. To delete a reader from the knowledge base portal, follow these steps: 1. Retrieve the reader ID. 2. Delete the reader using the API. --- ## Prerequisites for deleting a reader Before you delete a reader in the knowledge base portal, complete the following authorization steps in Postman. ### Authorization To authorize requests in Postman, make sure your API token is added and the appropriate Base URL is set. 1. Click **Document360 Customer API** in the category tree. 2. In the Postman **Workbench**, go to the **Variables** tab. 3. In the **Variables** tab, check the **Initial** and **Current** values of the `baseUrl` variable. This value should already be set to `https://apihub.document360.io`. If not, update both fields accordingly. 4. Add a new variable for your API token. For example, name it `api_token`. Paste your API token from Document360 into both the **Initial value** and **Current value** fields. 5. Go to the **Authorization** tab and enter the variable you created in the **Value** field. For example, enter `{{api_token}}` if your variable is named `api_token`. [Embedded content](https://www.floik.com/embed/6c8153d2-2726-4c62-b723-2bd209ff8c39/3274f00b-9839-480d-a29c-9a0ab11cb84f-flo.html) Once you've completed these steps, you're ready to start using Document360 APIs in **Postman**. --- ## Delete a reader using Document360’s API To delete a reader, you need: - Reader ID --- ### Retrieve the reader id To delete a reader from the project, you need the corresponding reader id. This step helps you retrieve the reader id. 1. In Postman, under **Document360 Customer API**, expand **v2** > **Readers**. 2. Click **Get all available readers from the project**, then click **Send**. > [!NOTE] > NOTE > > If you are searching for a specific reader, you can search for them by their email. In the **Params** tab, enter the reader’s email in the `searchEmail` field. ![](https://cdn.document360.io/2b5c503e-f283-4987-b5a8-2b71b454ecec/Images/Documentation/1_Screenshot-Get_all_available_readers_from_project.jpg) 1. In the response body, locate the `reader_id` of the reader you wish to delete. > [!TIP] > PRO TIP > > To locate the desired reader’s `reader_id`, look for the `“first_name”` or `“last_name”` field on the response to identify the corresponding reader quickly. ### Delete the reader After retrieving the reader ID, use this request to delete the reader from the project. 1. Under **v2**, expand **Readers** > **{readerId}**. 2. Click **Delete a reader from the project**. 3. In the Params tab, provide: - `reader_id`: Paste the reader ID 4. Click **Send**. If successful, the API will return a `200 OK` status and `“success”: true`. The reader will now be deleted from the project. ![](https://cdn.document360.io/2b5c503e-f283-4987-b5a8-2b71b454ecec/Images/Documentation/2_Screenshot-Deletes_all_readers_from_the_project.jpg)